Subject: bug#41745: 28.0.50; problem with json file and which-function on pretest an master

From: Dmitry Gutov <[email-masked]>
Date: Sun, 7 Jun 2020 23:20:15 +0300

On 07.06.2020 22:11, Basil L. Contovounesios wrote:
> Unless you or someone else can confirm that this is supported syntax, I
> don't see a bug here.  The reason I'm not sure is because I'm not
> familiar with js-mode and the different flavours of JS-like syntax that
> are meant to be supported.

It's probably not an officially supported use, but if somebody has spare 
time, perhaps they could look into what caused this particular breakage.

The error condition seems general enough, not dependent on the exact 
contents of the file.